<template>
	<header class="flex f-space-between v-center pl-32 pr-32 pt-8 pb-8">
		<Sidebar :sidebarState="isSidebarOpen" />

		<div class="div-logo flex v-center">
			<button class="toggle-btn" @click="toggleSidebar">
				<img src="~/static/assets/img/bars-icon.png" class="toggle-btn-img" />
			</button>
			<NuxtLink to="/">
				<div class="logo-container flex v-center">
					<div class="mr-4">
						<img src="~/static/icon.png" class="baze-logo-img" />
					</div>
					<h1 class="white-color">Suitbaze</h1>
				</div>
			</NuxtLink>
		</div>
		<img src="~/static/assets/img/github.svg" width="30" class="white-color" />
	</header>
</template>

<script>
export default {
	data() {
		return {
			isSidebarOpen: false
		}
	},
	methods: {
		toggleSidebar() {
			this.isSidebarOpen = !this.isSidebarOpen
			console.log(this.isSidebarOpen)
		}
	}
}
</script>

<style lang="scss" scoped>
header {
	background-color: $primaryColor;
	position: fixed;
	left: 0;
	top: 0;
	width: 100vw;
	z-index: 200;
}

h1 {
	margin: 0;
	font-size: 1.8em;
}

.toggle-btn {
	display: block;
	background: transparent;
	border: none;
	margin-right: 10px;
	cursor: pointer;

	@media #{$medium} {
		display: none;
	}
}

.toggle-btn-img {
	width: 30px;
}

.white-color {
	color: #fff;
}

.baze-logo-img {
	width: 40px;
}
</style>
